# Class yii\apidoc\models\ParamDoc

Inheritance | yii\apidoc\models\ParamDoc » yii\base\BaseObject
Implements | yii\base\Configurable
Available since version | 2.0
Source Code | https://github.com/yiisoft/yii2-apidoc/blob/master/models/ParamDoc.php

Represents API documentation information for a function or method `param`.

## Public Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$defaultValue |  |  | yii\apidoc\models\ParamDoc
$description |  |  | yii\apidoc\models\ParamDoc
$isOptional |  |  | yii\apidoc\models\ParamDoc
$isPassedByReference |  |  | yii\apidoc\models\ParamDoc
$name |  |  | yii\apidoc\models\ParamDoc
$sourceFile |  |  | yii\apidoc\models\ParamDoc
$type |  |  | yii\apidoc\models\ParamDoc
$typeHint |  |  | yii\apidoc\models\ParamDoc
$types |  |  | yii\apidoc\models\ParamDoc

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
__call() | Calls the named method which is not a class method. | yii\base\BaseObject
__construct() |  | yii\apidoc\models\ParamDoc
__get() | Returns the value of an object property. | yii\base\BaseObject
__isset() | Checks if a property is set, i.e. defined and not null. | yii\base\BaseObject
__set() | Sets value of an object property. | yii\base\BaseObject
__unset() | Sets an object property to null. | yii\base\BaseObject
canGetProperty() | Returns a value indicating whether a property can be read. | yii\base\BaseObject
canSetProperty() | Returns a value indicating whether a property can be set. | yii\base\BaseObject
className() | Returns the fully qualified name of this class. | yii\base\BaseObject
hasMethod() | Returns a value indicating whether a method is defined. | yii\base\BaseObject
hasProperty() | Returns a value indicating whether a property is defined. | yii\base\BaseObject
init() | Initializes the object. | yii\base\BaseObject

## Property Details

$defaultValue public property
public $defaultValue = null
$description public property
public $description = null
$isOptional public property
public $isOptional = null
$isPassedByReference public property
public $isPassedByReference = null
$name public property
public $name = null
$sourceFile public property
public $sourceFile = null
$type public property
public $type = null
$typeHint public property
public $typeHint = null
$types public property
public $types = null

## Method Details

__construct() public method

public void __construct ( $reflector = null, $context = null, $config = [] )
$reflector | \phpDocumentor\Reflection\FunctionReflector\ArgumentReflector |
$context | yii\apidoc\models\Context |
$config | array |